# Fields Object

> Source: https://truto.one/docs/api-reference/unified-forms-api/fields/

Schema for the `Fields` resource in **Unified Forms API**.

## Properties

- **`id`** _(string)_
  The field's unique identifier
- **`name`** _(string)_
  The field's name. This is the name of the property in the entity.
- **`label`** _(string)_
  The field's label
- **`placeholder`** _(string)_
  The field's placeholder
- **`description`** _(string)_
  The field's description
- **`position`** _(number)_
  The index position of field in the form.
- **`type`** _(string)_
  The field's type. If no clear mapping exists, then raw value is returned.
  Allowed: `statement`, `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file` (+7 more)
- **`format`** _(string)_
  The format of the field.
  Allowed: `url`, `email`, `password`
- **`validation`** _(string)_
  The validation string for the field.
- **`range`** _(object)_
  The range applicable for field types number, rating, scale.
  - **`min`** _(number)_
    The minimum range for the field.
  - **`min_label`** _(number)_
    The label for the minimum range of the field.
  - **`max`** _(number)_
    The maximum range for the field.
  - **`max_label`** _(number)_
    The label for the maximum range of the field.
- **`is_required`** _(boolean)_
  Whether the field is required
- **`options`** _(array<object>)_
  The field's options
  - **`label`** _(string)_
    The option's label
  - **`value`** _(string)_
    The option's value
  - **`description`** _(string)_
    The option's description
- **`field_group`** _(object)_
  The field's group identifier. If present, the field is part of a group.
  - **`id`** _(string)_
    The field groups's identifier
  - **`name`** _(string)_
    The field groups's name
  - **`label`** _(string)_
    The field group's label
  - **`description`** _(string)_
    The field group's description
  - **`position`** _(number)_
    The index position of field group in the form.
- **`rows`** _(array<object>)_
  The field's rows. If present, the field's type is matrix
  - **`label`** _(string)_
    The row's label
  - **`value`** _(string)_
    The row's value
  - **`description`** _(string)_
    The row's description
- **`columns`** _(array<object>)_
  The field's columns. If present, the field's type is matrix
  - **`label`** _(string)_
    The column's label
  - **`value`** _(string)_
    The column's value
  - **`description`** _(string)_
    The column's description
- **`created_at`** _(string)_
  The date and time of the field's creation
- **`updated_at`** _(string)_
  The date and time of the field's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/forms/fields](/docs/api-reference/unified-forms-api/fields/list) — List Fields
